# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: gcc-c++
# END SourceDeps(oneline)

Summary: A note taking and note management application
Name:    rekollect
Version: 0.3.2
Release: alt1_5

Group:   Office
License: GPLv2+
URL:     http://sourceforge.net/projects/rekollect/
Source0: http://downloads.sourceforge.net/sourceforge/rekollect/rekollect-%{version}.tar.gz

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kde4libs-devel
Source44: import.info

%description
%{summary}.


%prep
%setup -q


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
 -DBUILD_SHARED_LIBS:BOOL=OFF \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde

# omit convenience lib from packaging (for now)
rm -f %{buildroot}%{_kde4_libdir}/lib*.a


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/rekollect.desktop


%files -f %{name}.lang
%doc COPYING README
%{_kde4_appsdir}/rekollect/
%{_K4bindir}/rekollect
%{_kde4_datadir}/applications/kde4/rekollect.desktop
%{_kde4_datadir}/config.kcfg/rekollect.kcfg
%{_K4iconsdir}/hicolor/*/*/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.2-alt1_5
- initial fc import

